org.bouncycastle.asn1.x509

## Class NameConstraints

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.NameConstraints

All Implemented Interfaces:
  DEREncodable

    public class NameConstraints
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`NameConstraints(ASN1Sequence seq)`
`NameConstraints(java.util.Vector permitted, java.util.Vector excluded)` Constructor from a given details.

### Method Summary

Methods
`ASN1Sequence` `getExcludedSubtrees()`
`ASN1Sequence` `getPermittedSubtrees()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NameConstraints

    public NameConstraints(ASN1Sequence seq)

#### NameConstraints

    public NameConstraints(java.util.Vector permitted,
                   java.util.Vector excluded)

Constructor from a given details.

permitted and excluded are Vectors of GeneralSubtree objects.

Parameters:
  `permitted` - Permitted subtrees
  `excluded` - Excludes subtrees

### Method Detail

#### getPermittedSubtrees

    public ASN1Sequence getPermittedSubtrees()

#### getExcludedSubtrees

    public ASN1Sequence getExcludedSubtrees()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`